<?php

namespace common\services;

use Yii;

class AccidentCasesScoreConfigService
{
    public static $sourceDataListByAccidentIdCacheKey = "AccidentCasesScoreConfigUpdate";

    public static function getAccidentCasesScoreConfigUpdate()
    {
        $cache = Yii::$app->cache;
        return $cache->get(self::$sourceDataListByAccidentIdCacheKey);
    }

    public static function setAccidentCasesScoreConfigUpdate()
    {
        $cache = Yii::$app->cache;
        return $cache->set(self::$sourceDataListByAccidentIdCacheKey, 1);
    }

    public static function clearAccidentCasesScoreConfigUpdate()
    {
        Yii::$app->cache->delete(self::$sourceDataListByAccidentIdCacheKey);
    }
}